У меня странная проблема, которая кажется уникальной в интернете. Началось все с простого

sudo npm install java

Это привело к:

4 warnings generated.
  SOLINK_MODULE(target) Release/nodejavabridge_bindings.node
ld: library not found for -ljli
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make: *** [Release/nodejavabridge_bindings.node] Error 1
gyp ERR! build error 
gyp ERR! stack Error: `make` failed with exit code: 2
gyp ERR! stack     at ChildProcess.onExit (/Users/bob/.nvm/versions/node/v12.16.1/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:194:23)
gyp ERR! stack     at ChildProcess.emit (events.js:311:20)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:275:12)
gyp ERR! System Darwin 19.3.0
gyp ERR! command "/Users/bob/.nvm/versions/node/v12.16.1/bin/node" "/Users/bob/.nvm/versions/node/v12.16.1/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
gyp ERR! cwd /Users/bob/Documents/node-synfis-backend/node_modules/java
gyp ERR! node -v v12.16.1
gyp ERR! node-gyp -v v5.0.5
gyp ERR! not ok 
npm WARN synfis-backend@0.9.1 No description
npm WARN synfis-backend@0.9.1 No repository field.
npm WARN The package @types/fs-extra is included as both a dev and production dependency.

npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! java@0.12.1 install: `node-gyp rebuild`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the java@0.12.1 install script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/bob/.npm/_logs/2020-02-21T08_10_18_068Z-debug.log

Я провел много исследований в интернете и вытащил каждую найденную соломинку. В конце концов, ничего не работает, и я надеюсь, что это не очевидная ошибка во вселенной.

Я ценю любую помощь!

Заранее спасибо

0
Robert Kreutzer 20 Фев 2020 в 18:50

2 ответа

Лучший ответ

Проблема решена / устранена путем понижения до

Java-версия "1.8.0_241" Java (TM) SE Runtime Environment (сборка 1.8.0_241-b07) Java HotSpot (TM) 64-битная виртуальная машина сервера (сборка 25.241-b07, смешанный режим)

0
Robert Kreutzer 3 Мар 2020 в 10:35

Я думаю, это потому, что вы используете Узел 13. См. здесь .

Ошибка возникает при сборке Couchbase с использованием make.

Если вы используете nvm или аналогичный, переключитесь на узел 12 и попробуйте снова.

Кроме того, какого черта вы делаете установку Java - с Node! :-П

0
Josh Wulf 20 Фев 2020 в 19:52